%define with_libstdc_preview 1

Name:		scim-bridge
Version:	0.4.5
Release:	1.1%{?dist}
Summary:	SCIM Bridge Gtk IM module

Group:		System Environment/Libraries
License:	LGPL
URL:		http://www.scim-im.org/projects/scim_bridge
Source0:	http://dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.gz
Source1:	xinput-scim-bridge-gtk
Source2:	xinput-scim-bridge-qt
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	scim-devel, qt-devel, doxygen
%if %{with_libstdc_preview}
Buildrequires: libstdc++so7-devel
%endif
Requires:	scim

%description
SCIM Bridge is a C implementation of a Gtk IM module for SCIM.


%package gtk
Summary:    SCIM Bridge Gtk IM module
Group:      System Environment/Libraries
# for update-gtk-immodules
PreReq:     gtk2 >= 2.8.19-1
%if %{with_libstdc_preview}
PreReq:     libstdc++so7
%endif
# need %{_bindir}/scim-bridge
Requires:   %{name} = %{version}-%{release}
Obsoletes:  scim-bridge-gtkimm < 0.4.2

%description gtk
This package provides the SCIM Bridge GTK input method module.


%package qt
Summary:    SCIM Bridge Qt IM module
Group:      System Environment/Libraries
%if %{with_libstdc_preview}
PreReq:     libstdc++so7
%endif
# need %{_bindir}/scim-bridge
Requires:   %{name} = %{version}-%{release}
Obsoletes:  scim-bridge-qtimm < 0.4.2

%description qt
This package provides the SCIM Bridge Qt input method module.


%define _xinputdir %{_sysconfdir}/X11/xinit/xinput.d


%prep
%setup -q


%build
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
%configure --disable-static
%if %{with_libstdc_preview}
# tweak libtool for libstdc++-so7
sed -i -e "s/4.1.0 /4.2.0-`grep datestamp= %{_bindir}/g++-libstdc++-so_7 | sed -e "s/datestamp=//"` /" libtool
%endif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -pm 755 ${RPM_BUILD_ROOT}/%{_xinputdir}
install -pm 644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_xinputdir}/scim-bridge-gtk
rm $RPM_BUILD_ROOT/%{_libdir}/gtk-2.0/immodules/im-scim-bridge.*a

install -pm 644 %{SOURCE2} ${RPM_BUILD_ROOT}/%{_xinputdir}/scim-bridge-qt
rm $RPM_BUILD_ROOT/%{_libdir}/qt-3.3/plugins/inputmethods/im-scim-bridge.*a

rm doc/{Makefile.*,doxygen.conf}


%clean
rm -rf $RPM_BUILD_ROOT


%post gtk
%{_bindir}/update-gtk-immodules %{_host}


%postun gtk
%{_bindir}/update-gtk-immodules %{_host}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README doc
%{_bindir}/scim-bridge


%files gtk
%defattr(-,root,root,-)
%dir %{_libdir}/gtk-2.0/immodules
%{_libdir}/gtk-2.0/immodules/im-scim-bridge.so
%{_xinputdir}/scim-bridge-gtk


%files qt
%defattr(-,root,root,-)
%{_libdir}/qt-3.3/plugins/inputmethods/*.so
%{_xinputdir}/scim-bridge-qt


%changelog
* Wed Sep 27 2006 Jens Petersen <petersen@redhat.com> - 0.4.5-1.1
- fix the explicit scim-bridge requires

* Tue Sep 26 2006 Jens Petersen <petersen@redhat.com> - 0.4.5-1
- sync to 0.4.5
- make im module subpackages require scim-bridge = ver-rel instead of
  %{_bindir}/scim-bridge (#207872)
- move gtkimm xinput.d script to gtk subpackage
- add qtimm xinput.d script to qt subpackage
- buildrequire qt-devel and doxygen
- include html docs
- update url
- define _xinputdir
- use _host not _target_platform for update-gtk-immodules in scripts (#195343)

* Fri Aug  4 2006 Jens Petersen <petersen@redhat.com> - 0.1.12-1.fc5.1
- rebuild against new libstdc++so7 (#197718)

* Tue May 30 2006 Jens Petersen <petersen@redhat.com> - 0.1.12-1.fc5
- update to 0.1.12
- turn on libstdc++so7

* Tue May 16 2006 Jens Petersen <petersen@redhat.com> - 0.1.8-1
- update to 0.1.8

* Thu May 11 2006 Jens Petersen <petersen@redhat.com> - 0.1.7-1
- update to 0.1.7 release

* Sat Apr 29 2006 Jens Petersen <petersen@redhat.com>
- package for Fedora Extras (#190243)

* Wed Mar 15 2006 Jens Petersen <petersen@redhat.com>
- cvs snapshot
